name: flutter_tools
description: Tools for building Flutter applications
homepage: https://flutter.dev

environment:
  sdk: ^3.7.0-0

dependencies:
  # To update these, use "flutter update-packages --force-upgrade".
  #
  # For detailed instructions, refer to:
  # https://github.com/flutter/flutter/blob/main/docs/infra/Updating-dependencies-in-Flutter.md
  archive: 3.6.1
  args: 2.7.0
  dds: 5.0.4
  dwds: 24.3.11
  code_builder: 4.10.1
  completion: 1.0.1
  coverage: 1.14.1
  crypto: 3.0.6
  ffi: 2.1.4
  file: 7.0.1
  flutter_template_images: 5.0.0
  html: 0.15.6
  http: 1.4.0
  intl: 0.20.2
  meta: 1.17.0
  multicast_dns: 0.3.3
  mustache_template: 2.0.0
  package_config: 2.2.0
  process: 5.0.4
  fake_async: 1.3.3
  stack_trace: 1.12.1
  usage: 4.1.1
  webdriver: 3.1.0
  webkit_inspection_protocol: 1.2.1
  xml: 6.5.0
  yaml: 3.1.3
  native_stack_traces: 0.6.1
  shelf: 1.4.2
  vm_snapshot_analysis: 0.7.6
  uuid: 4.5.1
  web_socket_channel: 3.0.3
  stream_channel: 2.1.4
  shelf_web_socket: 2.0.1
  shelf_static: 1.1.3
  pub_semver: 2.2.0
  pool: 1.5.1
  path: 1.9.1
  mime: 2.0.0
  logging: 1.3.0
  http_multi_server: 3.2.2
  convert: 3.1.2
  async: 2.13.0
  unified_analytics: 8.0.2
  pubspec_parse: 1.5.0

  graphs: 2.3.2
  hooks_runner: 0.21.0
  hooks: 0.19.5
  code_assets: 0.19.4

  # We depend on very specific internal implementation details of the
  # 'test' package, which change between versions, so when upgrading
  # this, make sure the tests are still running correctly.
  test_api: 0.7.6
  test_core: 0.6.11

  vm_service: 15.0.2

  standard_message_codec: 0.0.1+4

  dart_style: 3.1.0

  # The below dependencies are transitive and are here to pin them to a specific version.
  _fe_analyzer_shared: 82.0.0
  analyzer: 7.4.5
  boolean_selector: 2.1.2
  browser_launcher: 1.1.3
  built_collection: 5.1.1
  built_value: 8.10.1
  cli_config: 0.2.0
  clock: 1.1.2
  csslib: 1.0.2
  dap: 1.4.0
  dds_service_extensions: 2.0.2
  devtools_shared: 12.0.0
  dtd: 4.0.0
  extension_discovery: 2.1.0
  fixnum: 1.1.1
  frontend_server_client: 4.0.0
  glob: 2.1.3
  http_parser: 4.1.2
  io: 1.0.5
  json_rpc_2: 3.0.3
  matcher: 0.12.17
  petitparser: 6.1.0
  platform: 3.1.6
  shelf_packages_handler: 3.0.2
  shelf_proxy: 1.0.4
  source_map_stack_trace: 2.1.2
  source_maps: 0.10.13
  source_span: 1.10.1
  sprintf: 7.0.0
  sse: 4.1.8
  string_scanner: 1.4.1
  sync_http: 0.3.1
  term_glyph: 1.2.2
  typed_data: 1.4.0
  vm_service_interface: 2.0.1
  watcher: 1.1.2
  web: 1.1.1
  web_socket: 1.0.1
  yaml_edit: 2.2.2

dev_dependencies:
  collection: 1.19.1
  file_testing: 3.0.2

  checked_yaml: 2.0.4
  js: 0.7.2
  json_annotation: 4.9.0
  node_preamble: 2.0.2
  test: 1.26.2

dartdoc:
  # Exclude this package from the hosted API docs.
  nodoc: true
# PUBSPEC CHECKSUM: t46i0p
